From: Eric Whitney <enwlinux@gmail.com>
To: fstests@vger.kernel.org
Cc: linux-ext4@vger.kernel.org
Subject: [PATCH] generic/015: improve error logging
Date: Tue, 30 Sep 2014 13:06:36 -0400 [thread overview]
Message-ID: <20140930170636.GA5803@wallace> (raw)
015 currently discards useful diagnostic information should making or
mounting the scratch file system fail. This can be captured with minimal
additional disk space consumption in a manner similar to other xfstests.
Noted during an ext4 debugging session involving a mkfs failure; small
ext4 file systems (as used in this test) by default use small inodes that
are not compatible with the inline data feature.
Signed-off-by: Eric Whitney <enwlinux@gmail.com>
---
tests/generic/015 | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/tests/generic/015 b/tests/generic/015
index 8d3fd5f..4d96b4e 100755
--- a/tests/generic/015
+++ b/tests/generic/015
@@ -53,11 +53,12 @@ _supported_os IRIX Linux
_require_scratch
_require_no_large_scratch_dev
-_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >/dev/null 2>&1 \
+rm -f $seqres.full
+
+_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >>$seqres.full 2>&1 \
|| _fail "mkfs failed"
-_scratch_mount || _fail "mount failed"
+_scratch_mount >>$seqres.full 2>&1 || _fail "mount failed"
out=$SCRATCH_MNT/fillup.$$
-rm -f $seqres.full
free0=`_free`
if [ -z "$free0" ]
--
1.9.1
reply other threads:[~2014-09-30 17:06 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20140930170636.GA5803@wallace \
--to=enwlinux@gmail.com \
--cc=fstests@vger.kernel.org \
--cc=linux-ext4@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.